package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFIQ6Response {

    @Parameter(name = "INSUR_END_DATE")
    java.util.Date insurEndDate();

    @Parameter(name = "INSUR_SIGN_DATE")
    java.util.Date insurSignDate();

    @Parameter(name = "INSUR_START_DATE")
    java.util.Date insurStartDate();

    @Parameter(name = "PRICE_TOTAL_AMOUNT")
    Double priceTotalAmount();

    @Parameter(name = "PROD_INST_KEY")
    Long prodInstKey();

}